Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::MergeDocIDRemapper Class Reference

Remaps docIDs after a merge has completed, where the merged segments had at least one deletion. This is used to renumber the buffered deletes in IndexWriter when a merge of segments with deletions commits. More...

`#include <MergeDocIDRemapper.h>`

Inheritance diagram for Lucene::MergeDocIDRemapper:

## Public Member Functions

| MergeDocIDRemapper (SegmentInfosPtr infos, Collection< Collection< int32_t > > docMaps, Collection< int32_t > delCounts, OneMergePtr merge, int32_t mergedDocCount)
virtual | ~MergeDocIDRemapper ()
virtual String | getClassName ()
boost::shared_ptr < MergeDocIDRemapper > | shared_from_this ()
int32_t | remap (int32_t oldDocID)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< int32_t > | starts
Collection< int32_t > | newStarts
Collection< Collection< int32_t > > | docMaps
int32_t | minDocID
int32_t | maxDocID
int32_t | docShift

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Remaps docIDs after a merge has completed, where the merged segments had at least one deletion. This is used to renumber the buffered deletes in IndexWriter when a merge of segments with deletions commits.

## Constructor & Destructor Documentation

Lucene::MergeDocIDRemapper::MergeDocIDRemapper | ( | SegmentInfosPtr | infos,
|  | Collection< Collection< int32_t > > | docMaps,
|  | Collection< int32_t > | delCounts,
|  | OneMergePtr | merge,
|  | int32_t | mergedDocCount
| ) |  |

virtual Lucene::MergeDocIDRemapper::~MergeDocIDRemapper | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::MergeDocIDRemapper::_getClassName | ( | ) |  |

inline static

virtual String Lucene::MergeDocIDRemapper::getClassName | ( | ) |  |

inline virtual

int32_t Lucene::MergeDocIDRemapper::remap | ( | int32_t | oldDocID) |  |

boost::shared_ptr< MergeDocIDRemapper > Lucene::MergeDocIDRemapper::shared_from_this | ( | ) |  |

inline

## Field Documentation

Collection< Collection<int32_t> > Lucene::MergeDocIDRemapper::docMaps

int32_t Lucene::MergeDocIDRemapper::docShift

int32_t Lucene::MergeDocIDRemapper::maxDocID

int32_t Lucene::MergeDocIDRemapper::minDocID

Collection<int32_t> Lucene::MergeDocIDRemapper::newStarts

Collection<int32_t> Lucene::MergeDocIDRemapper::starts

The documentation for this class was generated from the following file:

- MergeDocIDRemapper.h

clucene.sourceforge.net